Bug 474805 - kernel doesn't insert leap second on ppc and ia64
kernel doesn't insert leap second on ppc and ia64
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
low Severity medium
: rc
: ---
Assigned To: David Howells
Martin Jenner
:
Depends On: 474803
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 08:12 EST by Miroslav Lichvar
Modified: 2012-06-20 12:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:14:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2008-12-05 08:12:29 EST
+++ This bug was initially created as a clone of Bug #474803 +++

Description of problem:
On ia64 and ppc architectures leap second isn't inserted (on x86_64, i386 and s390 it seems to work fine).

In syslog there is message
kernel: Clock: inserting leap second 23:59:60 UTC

but comparing the clock against an NTP server shows that it wasn't inserted.

Version-Release number of selected component (if applicable):
kernel-2.6.9-78

How reproducible:
Always

Steps to Reproduce:
1. select an NTP server
2. date -s "2008/12/31 23:59:55 UTC"; ntptime -s 16; ntpdate -q $ntpserver; sleep 10; ntpdate -q $ntpserver; ntptime -s 64; ntpdate $ntpserver 

Actual results:
No or very small difference between the offsets printed by ntpdate -q commands.

Expected results:
1 second difference.

Additional info:
Comment 1 Prarit Bhargava 2008-12-08 08:28:36 EST
David, 474803 is the corresponding bug for RHEL5 -- I've assigned that one to myself.

FYI,

P.
Comment 2 Jiri Pallich 2012-06-20 12:14:06 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.